//
//  AppDelegate.h
//  ToDoWatch
//
//  Created by Andre M. Della Torre on 11/5/15.
//  Copyright © 2015 Andre M. Della Torre. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <WatchConnectivity/WatchConnectivity.h>

@protocol WatchCommProtocol <NSObject>

-(void)itemToogled:(NSNumber *)toDoId;

@end

@interface AppDelegate : UIResponder <UIApplicationDelegate, WCSessionDelegate>

@property (strong, nonatomic) UIWindow *window;

@property (strong, nonatomic) id<WatchCommProtocol> watchCommDelegate;

@end
