//
//  ToDoNovoViewController.m
//  ToDoWatch
//
//  Created by Andre M. Della Torre on 1/15/16.
//  Copyright © 2016 Andre M. Della Torre. All rights reserved.
//

#import "ToDoNovoViewController.h"
#import "ToDoController.h"

@interface ToDoNovoViewController ()

@property (weak, nonatomic) IBOutlet UITextField *textToDoTitle;

@end

@implementation ToDoNovoViewController

- (void)viewDidLoad {
    [super viewDidLoad];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}

#pragma mark - Actions

- (IBAction)saveNovoToDo:(id)sender {
    
    [ToDoController createNewToDo:self.textToDoTitle.text];
    [self.navigationController popToRootViewControllerAnimated:YES];
}

- (IBAction)cancelNovoToDo:(id)sender {
    [self.navigationController popToRootViewControllerAnimated:YES];
}

@end
