//
//  ToDoItem.swift
//  ToDoWatch
//
//  Created by Andre M. Della Torre on 11/5/15.
//  Copyright © 2015 Andre M. Della Torre. All rights reserved.
//

import WatchKit

class ToDoItem: NSObject {

    var toDoId: Int = 0
    var done: Bool = false
    var title: String = ""
    
    init(fromDictionary toDoDictionary:[String:AnyObject]) {
        self.toDoId = toDoDictionary[ToDoController.TODO_ID_KEY] as! Int
        self.title = toDoDictionary[ToDoController.TODO_TITLE_KEY] as! String
        self.done = toDoDictionary[ToDoController.TODO_DONE_KEY] as! Bool
    }
}
