//
//  ExtensionDelegate.h
//  ToDoWatch WatchKit Extension
//
//  Created by Andre M. Della Torre on 11/5/15.
//  Copyright © 2015 Andre M. Della Torre. All rights reserved.
//

#import <WatchKit/WatchKit.h>
#import <WatchConnectivity/WatchConnectivity.h>

@protocol WatchCommProtocol <NSObject>

-(void)contextReceived:(NSDictionary<NSString *,id> *)context;

@end

@interface ExtensionDelegate : NSObject <WKExtensionDelegate, WCSessionDelegate>

@property (strong, nonatomic) id<WatchCommProtocol> watchCommDelegate;

@end
