//
//  ToDoController.h
//  ToDoWatch
//
//  Created by Andre M. Della Torre on 1/15/16.
//  Copyright © 2016 Andre M. Della Torre. All rights reserved.
//

#import <Foundation/Foundation.h>

#define TODO_LIST_KEY @"toDoList"
#define TODO_ID_KEY @"toDoId"
#define TODO_TITLE_KEY @"title"
#define TODO_DONE_KEY @"done"
#define TODO_SHARE_GROUP_NAME @"group.io.redspark.ToDoWatch"

@class ToDoItem;
@interface ToDoController : NSObject

+(NSMutableArray *) toDoList;
+(void) addToDoItem:(NSDictionary *)todoItem;
+(void) toggleToDo:(NSNumber *)toDoId;
+(void) updateToDoList;
+(void) clearAll;

@end
