//
//  ToDoItem.m
//  redsparkWatchDemo
//
//  Created by Andre M. Della Torre on 11/5/15.
//  Copyright © 2015 Andre M. Della Torre. All rights reserved.
//

#import "ToDoItem.h"
#import "ToDoController.h"

@implementation ToDoItem

-(instancetype)initWithDictionary:(NSDictionary *)toDoDictionary
{
    self = [super init];
    if (self) {
        [self setToDoId:[toDoDictionary objectForKey:TODO_ID_KEY]];
        [self setTitle:[toDoDictionary objectForKey:TODO_TITLE_KEY]];
        [self setDone:[[toDoDictionary objectForKey:TODO_DONE_KEY] boolValue]];
    }
    
    return self;
}

@end
