//
//  ToDoRow.m
//  redsparkWatchDemo
//
//  Created by Andre M. Della Torre on 11/5/15.
//  Copyright © 2015 Andre M. Della Torre. All rights reserved.
//

#import "ToDoRow.h"

@interface ToDoRow ()

@property (unsafe_unretained, nonatomic) IBOutlet WKInterfaceImage *imageChecked;
@property (unsafe_unretained, nonatomic) IBOutlet WKInterfaceLabel *labelToDo;

@end


@implementation ToDoRow

-(void)configRowWithItem:(ToDoItem *)toDoItem
{
    if(!toDoItem.done) ////Se nao estiver selecionado nao seta imagem
        [self.imageChecked setImage:nil];
    else //seta imagem de checked
        [self.imageChecked setImage:[UIImage imageNamed:@"todo_done"]];
    
    //seta o titulo do ToDo
    [self.labelToDo setText:toDoItem.title];
}



@end
