//
//  ToDoRow.swift
//  ToDoWatch
//
//  Created by Andre M. Della Torre on 11/5/15.
//  Copyright © 2015 Andre M. Della Torre. All rights reserved.
//

import WatchKit

class ToDoRow: NSObject {

    @IBOutlet var imageChecked: WKInterfaceImage!
    @IBOutlet var labelToDo: WKInterfaceLabel!
    
    func configRowWithItem(todoItem: ToDoItem) {
        if !todoItem.done { //Se nao estiver selecionado nao seta imagem
            imageChecked.setImage(UIImage(named: ""))
        }
        else { //seta imagem de checked
            imageChecked.setImage(UIImage(named: "todo_done"))
        }
        
        //seta o titulo do ToDo
        labelToDo.setText(todoItem.title)
        
    }
}
